<?php

namespace STM\Sport;

use STM\StmFactory;

/**
 * Test class for Sport.
 * Generated by PHPUnit on 2012-03-28 at 11:27:13.
 * @group sport
 */
class SportTest extends \PHPUnit_Framework_TestCase {

    private $all_sports;

    protected function setUp() {
        $this->all_sports = StmFactory::find()->Sport->findAll();
    }

    public function testFind_all() {
        parent::assertTrue(is_array($this->all_sports));
        foreach ($this->all_sports as $sport) {            
            parent::assertInstanceOf('\STM\Sport\Sport', $sport);
        }
    }

    public function testfindById() {
        foreach ($this->all_sports as $sport) {            
            parent::assertInstanceOf('\STM\Sport\Sport', StmFactory::find()->Sport->findById($sport->getId()));
        }
        parent::assertFalse(StmFactory::find()->Sport->findById(' or 1 = 1'));
        parent::assertFalse(StmFactory::find()->Sport->findById(null));
    }

    public function testCreate() {
        parent::markTestSkipped('test in SportValidatorTest::testCheck_create');
    }

    public function testDelete() {
        parent::markTestSkipped('in testCan_be_deleted, otherwise only DB fail');
    }

    public function testCan_be_deleted() {
        foreach ($this->all_sports as $sport) {
            $positions = StmFactory::find()->PersonPosition->findBySport($sport);
            $actions = StmFactory::find()->MatchAction->findBySport($sport);
            $canBeDeleted = empty($positions) && empty($actions);
            parent::assertTrue($sport->canBeDeleted() == $canBeDeleted);
        }
    }

    public function testUpdate() {
        parent::markTestSkipped('test in SportValidatorTest');
    }

}

?>
